import request from '@/utils/request'

//年纪
export function getGradeList(params) {
  return request({
    url: '/web/grade/getGradeList',
    method: 'get',
    params: params
  })
}
//学阶对应年纪
export function getPharseGradeList(params) {
  return request({
    url: '/system/grade/getPharseGradeList',
    method: 'get',
    params: params
  })
}
//学阶学年对应章节
export function GetChapterTreeList(params) {
  return request({
    url: '/common/chapter/getChapterTreeList',
    // url: '/system/tree/GetChapterTreeList',
    method: 'get',
    params: params
  })
}
//学阶学年对应章节
export function getChapterTree(params) {
  return request({
    url: '/common/chapter/getChapterTreeList',
    // url: '/system/tree/getChapterTree',
    method: 'get',
    params: params
  })
}
//教学阶段
export function getPharsesList(params) {
  return request({
    url: '/web/pharse/getPharsesList',
    method: 'get',
    params: params
  })
}

//教材版本
export function getEditionList(params) {
  return request({
    url: '/web/edition/getEditionList',
    method: 'get',
    params: params
  })
}
//科目
export function getSubjectsList(params) {
  return request({
    url: '/web/subject/getSubjectsList',
    method: 'get',
    params: params
  })
}
//知识点分类树
export function getKnowledgeLevelTree(params) {
  return request({
    url: '/mingxue/knowledgeLevel/getKnowledgeLevelTree',
    method: 'get',
    params: params
  })
}
//科目年纪学期
export function getRelationshipList(params) {
  return request({
    url: '/web/relationship/getRelationshipList',
    method: 'get',
    params: params
  })
}
//学册
export function getSlipsList(params) {
  return request({
    url: '/web/slip/getSlipsList',
    method: 'get',
    params: params
  })
}
//获取科目年级学期关系表
export function getRelationshipTree(params) {
  return request({
    url: '/web/relationship/getRelationshipTree',
    method: 'get',
    params: params
  })
}
//获取科目年级学期关系表
export function getGradeEditionList(params) {
  return request({
    url: '/back/mxjbSubjectGradeEdition/getGradeEditionList',
    method: 'get',
    params: params
  })
}
//获取老师科目
export function getUserSubjectsList(params) {
  return request({
    url: '/web/subject/getUserSubjectsList',
    method: 'get',
    params: params
  })
}
//获取保存老师科目
export function updateUserSubjectsList(data) {
  return request({
    url: '/web/subject/updateUserSubjectsList',
    method: 'post',
    data: data,
  })
}
